Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class LabeledContainerImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.LabeledContainerImpl

All Implemented Interfaces:
  EObject, Figure, FigureHandle, FigureMarker, Identity, InternalEObject, LabeledContainer, Layoutable, Notifier

public class LabeledContainerImpl
extends EObjectImpl
implements LabeledContainer

An implementation of the model object 'Labeled Container'.

The following features are implemented:

- `Layout Data`
- `Layout`
- `Parent`
- `Referencing Elements`
- `Name`
- `Children`
- `Foreground Color`
- `Background Color`
- `Maximum Size`
- `Minimum Size`
- `Preferred Size`
- `Font`
- `Insets`
- `Border`
- `Location`
- `Size`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected Color` `backgroundColor` The cached value of the '`Background Color`' containment reference
`protected Border` `border` The cached value of the '`Border`' containment reference
`protected EList` `children` The cached value of the '`Children`' containment reference list
`protected Font` `font` The cached value of the '`Font`' containment reference
`protected Color` `foregroundColor` The cached value of the '`Foreground Color`' containment reference
`protected Insets` `insets` The cached value of the '`Insets`' containment reference
`protected Layout` `layout` The cached value of the '`Layout`' containment reference
`protected LayoutData` `layoutData` The cached value of the '`Layout Data`' containment reference
`protected Point` `location` The cached value of the '`Location`' containment reference
`protected Dimension` `maximumSize` The cached value of the '`Maximum Size`' containment reference
`protected Dimension` `minimumSize` The cached value of the '`Minimum Size`' containment reference
`protected java.lang.String` `name` The cached value of the '`Name`' attribute
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute
`protected Dimension` `preferredSize` The cached value of the '`Preferred Size`' containment reference
`protected EList` `referencingElements` The cached value of the '`Referencing Elements`' reference list
`protected Point` `size` The cached value of the '`Size`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `LabeledContainerImpl()`

Method Summary
`NotificationChain` `basicSetBackgroundColor(Color newBackgroundColor, NotificationChain msgs)`
`NotificationChain` `basicSetBorder(Border newBorder, NotificationChain msgs)`
`NotificationChain` `basicSetFont(Font newFont, NotificationChain msgs)`
`NotificationChain` `basicSetForegroundColor(Color newForegroundColor, NotificationChain msgs)`
`NotificationChain` `basicSetInsets(Insets newInsets, NotificationChain msgs)`
`NotificationChain` `basicSetLayout(Layout newLayout, NotificationChain msgs)`
`NotificationChain` `basicSetLayoutData(LayoutData newLayoutData, NotificationChain msgs)`
`NotificationChain` `basicSetLocation(Point newLocation, NotificationChain msgs)`
`NotificationChain` `basicSetMaximumSize(Dimension newMaximumSize, NotificationChain msgs)`
`NotificationChain` `basicSetMinimumSize(Dimension newMinimumSize, NotificationChain msgs)`
`NotificationChain` `basicSetPreferredSize(Dimension newPreferredSize, NotificationChain msgs)`
`NotificationChain` `basicSetSize(Point newSize, NotificationChain msgs)`
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class baseClass)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Color` `getBackgroundColor()`
`Border` `getBorder()`
`EList` `getChildren()`
`Font` `getFont()`
`Color` `getForegroundColor()`
`Insets` `getInsets()`
`Layout` `getLayout()`
`LayoutData` `getLayoutData()`
`Point` `getLocation()`
`Dimension` `getMaximumSize()`
`Dimension` `getMinimumSize()`
`java.lang.String` `getName()`
`Figure` `getParent()`
`Dimension` `getPreferredSize()`
`EList` `getReferencingElements()`
`Point` `getSize()`
`void` `setBackgroundColor(Color newBackgroundColor)`
`void` `setBorder(Border newBorder)`
`void` `setFont(Font newFont)`
`void` `setForegroundColor(Color newForegroundColor)`
`void` `setInsets(Insets newInsets)`
`void` `setLayout(Layout newLayout)`
`void` `setLayoutData(LayoutData newLayoutData)`
`void` `setLocation(Point newLocation)`
`void` `setMaximumSize(Dimension newMaximumSize)`
`void` `setMinimumSize(Dimension newMinimumSize)`
`void` `setName(java.lang.String newName)`
`void` `setPreferredSize(Dimension newPreferredSize)`
`void` `setSize(Point newSize)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### layoutData

    protected LayoutData layoutData

  The cached value of the '`Layout Data`' containment reference.

  See Also:
    `LabeledContainerImpl.getLayoutData()`
  ** Generated **
  Ordered:

### layout

    protected Layout layout

  The cached value of the '`Layout`' containment reference.

  See Also:
    `LabeledContainerImpl.getLayout()`
  ** Generated **
  Ordered:

### referencingElements

    protected EList referencingElements

  The cached value of the '`Referencing Elements`' reference list.

  See Also:
    `LabeledContainerImpl.getReferencingElements()`
  ** Generated **
  Ordered:

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `LabeledContainerImpl.getName()`
  ** Generated **
  Ordered:

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `LabeledContainerImpl.getName()`
  ** Generated **
  Ordered:

### children

    protected EList children

  The cached value of the '`Children`' containment reference list.

  See Also:
    `LabeledContainerImpl.getChildren()`
  ** Generated **
  Ordered:

### foregroundColor

    protected Color foregroundColor

  The cached value of the '`Foreground Color`' containment reference.

  See Also:
    `LabeledContainerImpl.getForegroundColor()`
  ** Generated **
  Ordered:

### backgroundColor

    protected Color backgroundColor

  The cached value of the '`Background Color`' containment reference.

  See Also:
    `LabeledContainerImpl.getBackgroundColor()`
  ** Generated **
  Ordered:

### maximumSize

    protected Dimension maximumSize

  The cached value of the '`Maximum Size`' containment reference.

  See Also:
    `LabeledContainerImpl.getMaximumSize()`
  ** Generated **
  Ordered:

### minimumSize

    protected Dimension minimumSize

  The cached value of the '`Minimum Size`' containment reference.

  See Also:
    `LabeledContainerImpl.getMinimumSize()`
  ** Generated **
  Ordered:

### preferredSize

    protected Dimension preferredSize

  The cached value of the '`Preferred Size`' containment reference.

  See Also:
    `LabeledContainerImpl.getPreferredSize()`
  ** Generated **
  Ordered:

### font

    protected Font font

  The cached value of the '`Font`' containment reference.

  See Also:
    `LabeledContainerImpl.getFont()`
  ** Generated **
  Ordered:

### insets

    protected Insets insets

  The cached value of the '`Insets`' containment reference.

  See Also:
    `LabeledContainerImpl.getInsets()`
  ** Generated **
  Ordered:

### border

    protected Border border

  The cached value of the '`Border`' containment reference.

  See Also:
    `LabeledContainerImpl.getBorder()`
  ** Generated **
  Ordered:

### location

    protected Point location

  The cached value of the '`Location`' containment reference.

  See Also:
    `LabeledContainerImpl.getLocation()`
  ** Generated **
  Ordered:

### size

    protected Point size

  The cached value of the '`Size`' containment reference.

  See Also:
    `LabeledContainerImpl.getSize()`
  ** Generated **
  Ordered:

Constructor Detail

### LabeledContainerImpl

    protected LabeledContainerImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### getLayoutData

    public LayoutData getLayoutData()

  Specified by:
    `getLayoutData` in interface `Layoutable`
  Returns:
    the value of the 'Layout Data' containment reference.
  See Also:
    `Layoutable.setLayoutData(LayoutData)`, `GMFGraphPackage.getLayoutable_LayoutData()`, `LayoutData.getOwner()`
  ** Generated **

### basicSetLayoutData

    public NotificationChain basicSetLayoutData(LayoutData newLayoutData,
                                                NotificationChain msgs)

  ** Generated **

### setLayoutData

    public void setLayoutData(LayoutData newLayoutData)

  Specified by:
    `setLayoutData` in interface `Layoutable`
  Parameters:
    `newLayoutData` - the new value of the 'Layout Data' containment reference.
  See Also:
    `Layoutable.getLayoutData()`
  ** Generated **

### getLayout

    public Layout getLayout()

  Specified by:
    `getLayout` in interface `Layoutable`
  Returns:
    the value of the 'Layout' containment reference.
  See Also:
    `Layoutable.setLayout(Layout)`, `GMFGraphPackage.getLayoutable_Layout()`
  ** Generated **

### basicSetLayout

    public NotificationChain basicSetLayout(Layout newLayout,
                                            NotificationChain msgs)

  ** Generated **

### setLayout

    public void setLayout(Layout newLayout)

  Specified by:
    `setLayout` in interface `Layoutable`
  Parameters:
    `newLayout` - the new value of the 'Layout' containment reference.
  See Also:
    `Layoutable.getLayout()`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Identity`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `Identity.setName(String)`, `GMFGraphPackage.getIdentity_Name()`
  ** Generated **

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `Identity`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `Identity.getName()`
  ** Generated **

### getChildren

    public EList getChildren()

  Specified by:
    `getChildren` in interface `Figure`
  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `GMFGraphPackage.getFigure_Children()`, `FigureMarker.getParent()`
  ** Generated **

### getParent

    public Figure getParent()

  Specified by:
    `getParent` in interface `FigureMarker`
  Returns:
    the value of the 'Parent' container reference.
  See Also:
    `GMFGraphPackage.getFigureMarker_Parent()`, `Figure.getChildren()`
  ** Generated **

### getForegroundColor

    public Color getForegroundColor()

  Specified by:
    `getForegroundColor` in interface `Figure`
  Returns:
    the value of the 'Foreground Color' containment reference.
  See Also:
    `Figure.setForegroundColor(Color)`, `GMFGraphPackage.getFigure_ForegroundColor()`
  ** Generated **

### basicSetForegroundColor

    public NotificationChain basicSetForegroundColor(Color newForegroundColor,
                                                     NotificationChain msgs)

  ** Generated **

### setForegroundColor

    public void setForegroundColor(Color newForegroundColor)

  Specified by:
    `setForegroundColor` in interface `Figure`
  Parameters:
    `newForegroundColor` - the new value of the 'Foreground Color' containment reference.
  See Also:
    `Figure.getForegroundColor()`
  ** Generated **

### getBackgroundColor

    public Color getBackgroundColor()

  Specified by:
    `getBackgroundColor` in interface `Figure`
  Returns:
    the value of the 'Background Color' containment reference.
  See Also:
    `Figure.setBackgroundColor(Color)`, `GMFGraphPackage.getFigure_BackgroundColor()`
  ** Generated **

### basicSetBackgroundColor

    public NotificationChain basicSetBackgroundColor(Color newBackgroundColor,
                                                     NotificationChain msgs)

  ** Generated **

### setBackgroundColor

    public void setBackgroundColor(Color newBackgroundColor)

  Specified by:
    `setBackgroundColor` in interface `Figure`
  Parameters:
    `newBackgroundColor` - the new value of the 'Background Color' containment reference.
  See Also:
    `Figure.getBackgroundColor()`
  ** Generated **

### getMaximumSize

    public Dimension getMaximumSize()

  Specified by:
    `getMaximumSize` in interface `Figure`
  Returns:
    the value of the 'Maximum Size' containment reference.
  See Also:
    `Figure.setMaximumSize(Dimension)`, `GMFGraphPackage.getFigure_MaximumSize()`
  ** Generated **

### basicSetMaximumSize

    public NotificationChain basicSetMaximumSize(Dimension newMaximumSize,
                                                 NotificationChain msgs)

  ** Generated **

### setMaximumSize

    public void setMaximumSize(Dimension newMaximumSize)

  Specified by:
    `setMaximumSize` in interface `Figure`
  Parameters:
    `newMaximumSize` - the new value of the 'Maximum Size' containment reference.
  See Also:
    `Figure.getMaximumSize()`
  ** Generated **

### getMinimumSize

    public Dimension getMinimumSize()

  Specified by:
    `getMinimumSize` in interface `Figure`
  Returns:
    the value of the 'Minimum Size' containment reference.
  See Also:
    `Figure.setMinimumSize(Dimension)`, `GMFGraphPackage.getFigure_MinimumSize()`
  ** Generated **

### basicSetMinimumSize

    public NotificationChain basicSetMinimumSize(Dimension newMinimumSize,
                                                 NotificationChain msgs)

  ** Generated **

### setMinimumSize

    public void setMinimumSize(Dimension newMinimumSize)

  Specified by:
    `setMinimumSize` in interface `Figure`
  Parameters:
    `newMinimumSize` - the new value of the 'Minimum Size' containment reference.
  See Also:
    `Figure.getMinimumSize()`
  ** Generated **

### getPreferredSize

    public Dimension getPreferredSize()

  Specified by:
    `getPreferredSize` in interface `Figure`
  Returns:
    the value of the 'Preferred Size' containment reference.
  See Also:
    `Figure.setPreferredSize(Dimension)`, `GMFGraphPackage.getFigure_PreferredSize()`
  ** Generated **

### basicSetPreferredSize

    public NotificationChain basicSetPreferredSize(Dimension newPreferredSize,
                                                   NotificationChain msgs)

  ** Generated **

### setPreferredSize

    public void setPreferredSize(Dimension newPreferredSize)

  Specified by:
    `setPreferredSize` in interface `Figure`
  Parameters:
    `newPreferredSize` - the new value of the 'Preferred Size' containment reference.
  See Also:
    `Figure.getPreferredSize()`
  ** Generated **

### getFont

    public Font getFont()

  Specified by:
    `getFont` in interface `Figure`
  Returns:
    the value of the 'Font' containment reference.
  See Also:
    `Figure.setFont(Font)`, `GMFGraphPackage.getFigure_Font()`
  ** Generated **

### basicSetFont

    public NotificationChain basicSetFont(Font newFont,
                                          NotificationChain msgs)

  ** Generated **

### setFont

    public void setFont(Font newFont)

  Specified by:
    `setFont` in interface `Figure`
  Parameters:
    `newFont` - the new value of the 'Font' containment reference.
  See Also:
    `Figure.getFont()`
  ** Generated **

### getInsets

    public Insets getInsets()

  Specified by:
    `getInsets` in interface `Figure`
  Returns:
    the value of the 'Insets' containment reference.
  See Also:
    `Figure.setInsets(Insets)`, `GMFGraphPackage.getFigure_Insets()`
  ** Generated **

### basicSetInsets

    public NotificationChain basicSetInsets(Insets newInsets,
                                            NotificationChain msgs)

  ** Generated **

### setInsets

    public void setInsets(Insets newInsets)

  Specified by:
    `setInsets` in interface `Figure`
  Parameters:
    `newInsets` - the new value of the 'Insets' containment reference.
  See Also:
    `Figure.getInsets()`
  ** Generated **

### getBorder

    public Border getBorder()

  Specified by:
    `getBorder` in interface `Figure`
  Returns:
    the value of the 'Border' containment reference.
  See Also:
    `Figure.setBorder(Border)`, `GMFGraphPackage.getFigure_Border()`
  ** Generated **

### basicSetBorder

    public NotificationChain basicSetBorder(Border newBorder,
                                            NotificationChain msgs)

  ** Generated **

### setBorder

    public void setBorder(Border newBorder)

  Specified by:
    `setBorder` in interface `Figure`
  Parameters:
    `newBorder` - the new value of the 'Border' containment reference.
  See Also:
    `Figure.getBorder()`
  ** Generated **

### getLocation

    public Point getLocation()

  Specified by:
    `getLocation` in interface `Figure`
  Returns:
    the value of the 'Location' containment reference.
  See Also:
    `Figure.setLocation(Point)`, `GMFGraphPackage.getFigure_Location()`
  ** Generated **

### basicSetLocation

    public NotificationChain basicSetLocation(Point newLocation,
                                              NotificationChain msgs)

  ** Generated **

### setLocation

    public void setLocation(Point newLocation)

  Specified by:
    `setLocation` in interface `Figure`
  Parameters:
    `newLocation` - the new value of the 'Location' containment reference.
  See Also:
    `Figure.getLocation()`
  ** Generated **

### getSize

    public Point getSize()

  Specified by:
    `getSize` in interface `Figure`
  Returns:
    the value of the 'Size' containment reference.
  See Also:
    `Figure.setSize(Point)`, `GMFGraphPackage.getFigure_Size()`
  ** Generated **

### basicSetSize

    public NotificationChain basicSetSize(Point newSize,
                                          NotificationChain msgs)

  ** Generated **

### setSize

    public void setSize(Point newSize)

  Specified by:
    `setSize` in interface `Figure`
  Parameters:
    `newSize` - the new value of the 'Size' containment reference.
  See Also:
    `Figure.getSize()`
  ** Generated **

### getReferencingElements

    public EList getReferencingElements()

  Specified by:
    `getReferencingElements` in interface `FigureHandle`
  Returns:
    the value of the 'Referencing Elements' reference list.
  See Also:
    `GMFGraphPackage.getFigureHandle_ReferencingElements()`, `DiagramElement.getFigure()`
  ** Generated **

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class baseClass)

  Specified by:
    `eBaseStructuralFeatureID` in interface `InternalEObject`
  ** Generated **

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class baseClass)

  Specified by:
    `eDerivedStructuralFeatureID` in interface `InternalEObject`
  ** Generated **

### toString

    public java.lang.String toString()

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.